Firmware versions
List firmware versions
Authorization
API key Firmwares: readAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Firmwares: read
Path Parameters
workspaceId*string
Format
uuidfirmwareId*string
Response Body
application/json
application/problem+json
curl -X GET "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/firmwares/q8Fd53pLn1Yr/versions"All versions of the firmware.
[ { "id": "r2Kt75mXc8Vd", "name": "2.4.1", "createdAt": "2026-01-10T15:30:00+00:00", "assignedSymbolFilesCount": 1, "firmwareImageId": "y7Bs21fWn5Hk", "isUsedInDeployment": true, "deviceCount": 218, "vulnerabilitySummary": { "totalActiveIssues": 3, "countsBySeverity": [ { "severity": "Critical", "count": 1 }, { "severity": "High", "count": 2 } ], "affectedDeviceCount": 218, "lastEvaluatedAt": "2026-01-12T02:00:00+00:00" } }]